Bug 74260 - Network Configuration Dosn't Save Changes
Network Configuration Dosn't Save Changes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Jay Turner
Network Configuration Dosn't Save Cha...
:
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
 
Reported: 2002-09-18 16:05 EDT by Kyle Eschberger
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-25 05:12:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Eschberger 2002-09-18 16:05:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
The applet in Gnome (Network Configuration) that you are supposed to use to 
modify IP information in RedHAt 7.2 dosn't work. You can't save the 
information. You can modify what ever you want to, but when you go to 
hit 'apply' nothing happens. Then if you click 'close' a window pops us and 
asks if you want to save your changes yes, no, or cancel. If you click yes, 
nothing happens. If you click no, the applet closes and your changes are lost. 
If you've made changes adn then click the 'x' in the top right corner of the 
window, you get the message asking if you want to save, If you click 'yes' 
here the applet window closes and your changes are lost.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.In Gnome, go to Main Menu (the foot)
2.Select Programs -> System -> Network Configuration
3.Select the Devices tab
4.Select eth0
5.Click edit
6.Select the Protocols tab
7.Select TCP/IP
8.click edit
9.make changes
10.click apply
	

Actual Results:  After clicking apply Nothing happens. If I click close, I get 
a window that asks me if I want to save changes. If I click yes here nothing 
happens. If I click no the window closes and my changes are lost. If, instead 
of clicking close, I click the x in the upper right corner of the window the 
window closes and my changes are lost.

Expected Results:  WHen I click apply, I expected the applet to close and the 
changes to be written to the appropriate file.

Additional info:

I had to edit the /etc/sysconfig/network-scripts/ifcfg-eth0 file manualy to 
change the IP address.
Comment 1 Harald Hoyer 2002-10-23 05:42:08 EDT
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 2 Harald Hoyer 2003-03-25 05:12:36 EST
see #67498

Note You need to log in before you can comment on or make changes to this bug.